org.apache.commons.imaging.common

## Class GenericImageMetadata

- java.lang.Object
- - org.apache.commons.imaging.common.GenericImageMetadata

- All Implemented Interfaces:
    ImageMetadata
  Direct Known Subclasses:
    JpegPhotoshopMetadata, TiffImageMetadata, TiffImageMetadata.Directory

      public class GenericImageMetadata
      extends Object
      implements ImageMetadata

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GenericImageMetadata.GenericImageMetadataItem`

    - ### Nested classes/interfaces inherited from interface org.apache.commons.imaging.common.ImageMetadata

      `ImageMetadata.ImageMetadataItem`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenericImageMetadata()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(ImageMetadata.ImageMetadataItem item)`
    `void` | `add(String keyword, String text)`
    `List<? extends ImageMetadata.ImageMetadataItem>` | `getItems()`
    `String` | `toString()`
    `String` | `toString(String prefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenericImageMetadata

          public GenericImageMetadata()

  - ### Method Detail

    - #### add

          public void add(String keyword,
                          String text)

    - #### add

          public void add(ImageMetadata.ImageMetadataItem item)

    - #### getItems

          public List<? extends ImageMetadata.ImageMetadataItem> getItems()

      Specified by:
        `getItems` in interface `ImageMetadata`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toString

          public String toString(String prefix)

      Specified by:
        `toString` in interface `ImageMetadata`

Copyright © 2007–2020 The Apache Software Foundation. All rights reserved.